# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::SceneManagerActorKdTree Class Reference

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorKdTree. More...

`#include <SceneManagerActorKdTree.hpp>`

Inheritance diagram for vl::SceneManagerActorKdTree:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| SceneManagerActorKdTree ()

## Detailed Description

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorKdTree.

See also:
  - Actor
  - ActorKdTree
  - ActorTree
  - SceneManager
  - SceneManagerBVH
  - SceneManagerActorTree
  - SceneManagerPortals

## Constructor & Destructor Documentation

vl::SceneManagerActorKdTree::SceneManagerActorKdTree | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::SceneManagerActorKdTree::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::SceneManagerBVH< ActorKdTree >.

Reimplemented in vl::Terrain.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/SceneManagerActorKdTree.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.